Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class ReportSettings

    java.lang.Object
      com.sun.javatest.report.ReportSettings

    public class ReportSettings

extends java.lang.Object

Specify what parts of the reports to generate.

Constructor Summary
`ReportSettings()`
`ReportSettings(java.io.File xmlReportFile, java.io.File[] in)` Creates a new ReportEnviroment instance refers to the given file.
`ReportSettings(InterviewParameters p)`

Method Summary
`static ReportSettings` | `create(Preferences prefs)`
`int` | `getBackupLevel()`
`java.util.List<CustomReport>` | `getCustomReports()`
`java.util.Map` | `getExchangeData()` Give Map for data exchange between custom reports during the same report session.
`java.io.File[]` | `getInitialFiles()`
`InterviewParameters` | `getInterview()`
`java.io.File[]` | `getMergingFiles()` Returns array of File objects that were sources for Report Converter tool or empty array if Report Converter was not used.
`TestFilter` | `getTestFilter()`
`boolean` | `isBackupsEnabled()`
`boolean` | `isCOFEnabled()`
`boolean` | `isCOFTestCasesEnabled()`
`boolean` | `isConfigSectionEnabled()`
`boolean` | `isEnvEnabled()`
`boolean` | `isHtmlEnabled()`
`boolean` | `isIndexHtmlEnabled()`
`boolean` | `isKeywordSummaryEnabled()`
`boolean` | `isKflEnabled()`
`boolean` | `isKflF2eEnabled()`
`boolean` | `isKflF2fEnabled()`
`boolean` | `isKflMissingEnabled()`
`boolean` | `isKflTestCasesEnabled()`
`boolean` | `isPlainEnabled()`
`boolean` | `isQuestionLogEnabled()`
`boolean` | `isReportHtmlEnabled()`
`boolean` | `isResultsEnabled()`
`boolean` | `isStateFileEnabled(int status)`
`boolean` | `isStdEnabled()`
`boolean` | `isXmlEnabled()`
`void` | `setBackupLevels(int n)`
`void` | `setCustomReports(java.util.List<CustomReport> customReportCollection)`
`void` | `setEnableBackups(boolean state)`
`void` | `setEnableCOFReport(boolean state)`
`void` | `setEnableHtmlReport(boolean state)`
`void` | `setEnableHtmlStateFile(int status, boolean state)`
`void` | `setEnableKflF2e(boolean state)`
`void` | `setEnableKflF2f(boolean state)`
`void` | `setEnableKflMissing(boolean state)`
`void` | `setEnableKflTestCases(boolean state)`
`void` | `setEnablePlainReport(boolean state)`
`void` | `setEnableXmlReport(boolean state)`
`void` | `setFilter(TestFilter f)`
`void` | `setHtmlMainReport(boolean reporthtml, boolean indexhtml)`
`void` | `setInterview(InterviewParameters p)`
`void` | `setMergingFiles(java.io.File[] files)`
`void` | `setShowConfigSection(boolean state)`
`void` | `setShowEnvLog(boolean state)`
`void` | `setShowKeywordSummary(boolean state)`
`void` | `setShowKflReport(boolean state)`
`void` | `setShowQuestionLog(boolean state)`
`void` | `setShowResults(boolean state)`
`void` | `setShowStdValues(boolean state)`
`void` | `setUseTestCases(boolean state)`
`void` | `setXMLReportFile(java.io.File f)`
`void` | `write(Preferences prefs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSettings

    public ReportSettings()

### ReportSettings

    public ReportSettings(InterviewParameters p)

### ReportSettings

    public ReportSettings(java.io.File xmlReportFile,
                          java.io.File[] in)

  Creates a new ReportEnviroment instance refers to the given file.

Method Detail

### write

    public void write(Preferences prefs)

### create

    public static ReportSettings create(Preferences prefs)

### setInterview

    public void setInterview(InterviewParameters p)

### setFilter

    public void setFilter(TestFilter f)

### setEnableHtmlReport

    public void setEnableHtmlReport(boolean state)

### setEnableXmlReport

    public void setEnableXmlReport(boolean state)

### setEnablePlainReport

    public void setEnablePlainReport(boolean state)

### setEnableCOFReport

    public void setEnableCOFReport(boolean state)

### setUseTestCases

    public void setUseTestCases(boolean state)

### setShowConfigSection

    public void setShowConfigSection(boolean state)

### setShowQuestionLog

    public void setShowQuestionLog(boolean state)

### setShowEnvLog

    public void setShowEnvLog(boolean state)

### setShowStdValues

    public void setShowStdValues(boolean state)

### setShowResults

    public void setShowResults(boolean state)

### setShowKflReport

    public void setShowKflReport(boolean state)

### setShowKeywordSummary

    public void setShowKeywordSummary(boolean state)

### setEnableHtmlStateFile

    public void setEnableHtmlStateFile(int status,
                                       boolean state)

  Parameters:
    `status` - PASS, FAIL, ERROR, NOT_RUN constant from Status

### setHtmlMainReport

    public void setHtmlMainReport(boolean reporthtml,
                                  boolean indexhtml)

### setEnableKflF2e

    public void setEnableKflF2e(boolean state)

### setEnableKflF2f

    public void setEnableKflF2f(boolean state)

### setEnableKflMissing

    public void setEnableKflMissing(boolean state)

### setEnableKflTestCases

    public void setEnableKflTestCases(boolean state)

### setEnableBackups

    public void setEnableBackups(boolean state)

### setBackupLevels

    public void setBackupLevels(int n)

### isHtmlEnabled

    public boolean isHtmlEnabled()

### isXmlEnabled

    public boolean isXmlEnabled()

### isPlainEnabled

    public boolean isPlainEnabled()

### isCOFEnabled

    public boolean isCOFEnabled()

### isCOFTestCasesEnabled

    public boolean isCOFTestCasesEnabled()

### isConfigSectionEnabled

    public boolean isConfigSectionEnabled()

### isQuestionLogEnabled

    public boolean isQuestionLogEnabled()

### isEnvEnabled

    public boolean isEnvEnabled()

### isStdEnabled

    public boolean isStdEnabled()

### isResultsEnabled

    public boolean isResultsEnabled()

### isKflEnabled

    public boolean isKflEnabled()

### isKeywordSummaryEnabled

    public boolean isKeywordSummaryEnabled()

### isIndexHtmlEnabled

    public boolean isIndexHtmlEnabled()

### isReportHtmlEnabled

    public boolean isReportHtmlEnabled()

### isStateFileEnabled

    public boolean isStateFileEnabled(int status)

### isKflTestCasesEnabled

    public boolean isKflTestCasesEnabled()

### isKflMissingEnabled

    public boolean isKflMissingEnabled()

### isKflF2eEnabled

    public boolean isKflF2eEnabled()

### isKflF2fEnabled

    public boolean isKflF2fEnabled()

### isBackupsEnabled

    public boolean isBackupsEnabled()

### getBackupLevel

    public int getBackupLevel()

### getInitialFiles

    public java.io.File[] getInitialFiles()

### getTestFilter

    public TestFilter getTestFilter()

### getInterview

    public InterviewParameters getInterview()

### setXMLReportFile

    public void setXMLReportFile(java.io.File f)

### setMergingFiles

    public void setMergingFiles(java.io.File[] files)

### getMergingFiles

    public java.io.File[] getMergingFiles()

  Returns array of File objects that were sources for Report Converter tool or empty array if Report Converter was not used.

  Returns:
    array of source files

### getExchangeData

    public java.util.Map getExchangeData()

  Give Map for data exchange between custom reports during the same report session. Can be used for sharing intermediate results between reports for optimization.

  Returns:
    Map for data exchange

### setCustomReports

    public void setCustomReports(java.util.List<CustomReport> customReportCollection)

### getCustomReports

    public java.util.List<CustomReport> getCustomReports()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.